Question:
Erreur du logiciel Lego Mindstorms NXT
jn29098
2012-07-30 09:53:05 UTC
view on stackexchange narkive permalink

J'ai installé la version commerciale du logiciel NXT. En raison de performances pitoyables sur mon Mac (OSX 10.7 Lion), j'ai suivi les instructions sur d'autres forums et désinstallé Flash 11 et réinstallé 10.

Maintenant, lorsque je lance l'application, j'obtiens l'erreur suivante:

enter image description here

J'ai lu sur un site qu'un correctif est nécessaire, mais les correctifs liés sont pour la version EDU du logiciel par opposition à la version commerciale (Je suppose?) Ils ne s'installeront même pas correctement.

Toutes les suggestions sont les bienvenues. Je vois qu'il existe d'autres alternatives pour programmer le NXT, mais franchement pour le coût de ce produit, ce logiciel devrait fonctionner . (Lego, j'espère que vous écoutez.)

Je suis dans le meme bateau. 10.7.5, vente au détail, fichier cassé 1003, essayé le correctif, même tout désinstallé, réinstallé à partir d'ISO, et essayé le pilote et essayé le correctif. Nada. J'espérais vraiment que la réponse ne serait pas NXC. J'essaierai certainement, mais j'appellerai le support technique lundi. Idéalement, j'aimerais utiliser NXT-G comme tout le monde. C'est nul.
Jesse - Je suis également dans le même bateau. Voir mon commentaire sous "Il existe un certain nombre de correctifs Mac". J'avais espéré pouvoir utiliser NXT-G sur ce Mac ... c'est vraiment irritant. POURQUOI ne donne-t-il même pas le FILENAME du "fichier requis"?!?!?
Oui. Même bateau. Le logiciel Lego a toujours été irrégulier, donc je suppose que je ne suis pas surpris. Kid est déçu, cependant.
Remarque: LEGO ne sponsorise pas, n'approuve pas ou ne lit probablement pas ce site, donc en disant des choses comme «LEGO, j'espère que tu écoutes». est inutile. Si vous voulez que LEGO vous écoute, le mieux est de toujours leur parler directement, via leur service client.
Moi aussi je suis dans le bateau, mes esprits sont comme ça depuis début juin. J'ai essayé des tonnes de sites, jamais travaillé. Re-téléchargé 4 fois et essayé différents téléchargements 7 fois.
Trois réponses:
#1
+5
Jesse
2012-12-16 06:08:23 UTC
view on stackexchange narkive permalink

Nous y voilà. Je cherchais des réponses lorsque je suis tombé sur ce fil: https://discussions.apple.com/thread/4158314?start=0&tstart=0

Une personne mentionnée Le support technique de Lego lui a envoyé un lien vers un ISO. Il semblait que c'était peut-être un ISO plus récent que celui que j'utilisais, alors je l'ai essayé: http://dl.dropbox.com/u/31950731/MINDSTORMS%20NXT%20Retail%20MacWin%202012-06- 21-1305.iso

Cela a très bien fonctionné! Pas de patchs, pas de rien. Je viens de l'installer, de le redémarrer, et soudainement, NXT-G fonctionne sous Mac OS X Lion 10.7.5. Word.

Bien que je souligne que les dropbox peuvent disparaître à volonté, ce lien peut donc ne pas exister pour toujours - et comme il ne provient pas d'une source officielle (mentionner dans une salle de chat qu'il provenait du support technique LEGO n'est pas la même chose que l'obtenir directement auprès d'eux) - veuillez donc vous assurer que vous disposez d'un logiciel antivirus à jour avant de télécharger et d'installer un fichier à partir d'Internet.
Cela semble prometteur, mais oui, la liaison LEGO à son propre logiciel via une boîte de dépôt semble un peu suspect.
Le deuxième lien me donne une erreur HTML 404.
#2
+2
Zhaph - Ben Duguid
2012-07-30 20:42:42 UTC
view on stackexchange narkive permalink

Il existe un certain nombre de correctifs Mac disponibles sur le site d'assistance officiel de Mindstorms:

Assistance Mindstorms> Fichiers> Patchs

Ils incluent:

  • Software 2.0 Fix (Mac)
  • Snow Leopard Fix
  • MAC Leopard Fix

L'interface n'est pas si évidente que cela: Mindstorms Software Support

D'abord, cliquez sur le fichier que vous souhaitez télécharger depuis le carrousel, puis cliquez sur le gros bouton "Téléchargements", vous devriez alors trouver un lien aux téléchargements appropriés:

enter image description here

Merci pour cela. J'ai appliqué ces correctifs, et c'est là que les erreurs ont réellement commencé. Je pense avoir trouvé la voie à suivre ici, l'environnement NXC: http://nxc.ruby4kids.com/nxc-language-reference. Mon fils est encore un peu jeune, même pour l'IDE graphique, donc l'environnement de programmation brut est parfait pour nous.
Je viens d'installer le dernier NXT-G2.0 sur Lion - 10.7.5 - et il était VRAIMENT embrouillé - ne se redimensionnait pas correctement, jetait des erreurs aléatoires, généralement presque fonctionné mais pas tout à fait. Je redimensionnerais la fenêtre extérieure, et la zone de programme deviendrait plus petite! Ensuite, j'ai installé le "Software 2.0 fix (mac)" ... et maintenant je vois "Erreur: un fichier requis est cassé" - il est encore plus cassé.
#3
+1
DA.
2013-03-22 11:24:13 UTC
view on stackexchange narkive permalink

Ayant récemment rencontré ce problème également sur OSX (10.6), voici la solution qui a fonctionné pour moi:

  • Désinstaller complètement Flash
  • Réinstaller le logiciel NXT à partir du CD
  • lancer et exécuter

Apparemment, seule la version de Flash qui a été utilisée lors du développement du logiciel est celle qui fonctionnera avec lui. Il est installé avec le logiciel s'il n'est pas déjà installé.

Cela signifie que vous souhaiterez peut-être créer un compte utilisateur distinct uniquement pour exécuter NXT, de sorte que seul celui-ci dispose de l'ancienne version de Flash.



Ce Q&R a été automatiquement traduit de la langue anglaise.Le contenu original est disponible sur stackexchange, que nous remercions pour la licence cc by-sa 3.0 sous laquelle il est distribué.
Loading...